Description: Disable all tests that fails with xvfb
 So far some tests need real OpenGL support
Author: Sandro Knauß <bugs@sandroknauss.de>
Origin: Debian
Forwarded: not-needed - it is a limitation so far inside Debian
Last-Update: 2019-03-14

--- a/tests/auto/auto.pro
+++ b/tests/auto/auto.pro
@@ -11,7 +11,6 @@ SUBDIRS=\
 
 qtHaveModule(gui):qtConfig(opengl(es1|es2)?) {
     SUBDIRS += particles
-    qtHaveModule(widgets): SUBDIRS += quickwidgets
 
 }
 
--- a/tests/auto/qml/debugger/debugger.pro
+++ b/tests/auto/qml/debugger/debugger.pro
@@ -8,7 +8,6 @@ PUBLICTESTS += \
     qqmlenginedebugservice \
     qqmldebugjs \
     qqmlinspector \
-    qqmlprofilerservice \
     qpacketprotocol \
     qqmlenginedebuginspectorintegrationtest \
     qqmlenginecontrol \
--- a/tests/auto/qml/qml.pro
+++ b/tests/auto/qml/qml.pro
@@ -25,7 +25,6 @@ PUBLICTESTS += \
     qqmlmoduleplugin \
     qqmlnotifier \
     qqmlqt \
-    qqmlxmlhttprequest \
     qqmlpromise \
     qtqmlmodules \
     qquickfolderlistmodel \
@@ -96,10 +95,6 @@ qtConfig(process) {
     }
 }
 
-qtConfig(library) {
-    SUBDIRS += qqmlextensionplugin
-}
-
 qtConfig(private_tests): \
     SUBDIRS += $$PRIVATETESTS
 
--- a/tests/auto/quick/quick.pro
+++ b/tests/auto/quick/quick.pro
@@ -6,9 +6,7 @@ PUBLICTESTS += \
 
 qtConfig(opengl(es1|es2)?) {
     PUBLICTESTS += \
-        drawingmodes \
-        rendernode
-    qtHaveModule(widgets): PUBLICTESTS += nodes
+        drawingmodes
 
     QUICKTESTS += \
         qquickanimatedsprite \
